summaryrefslogtreecommitdiffstats
path: root/defaultenv
diff options
context:
space:
mode:
authorMarc Kleine-Budde <mkl@pengutronix.de>2012-01-24 11:51:04 +0100
committerSascha Hauer <s.hauer@pengutronix.de>2012-01-25 18:11:45 +0100
commitcd614b8f40996335bacee97b176ad91498e88a43 (patch)
tree4a7bfec3fa59df08cca891a9c8f736ce2c638b89 /defaultenv
parent957535c66fb6dca37c226c440502bddb71aac209 (diff)
downloadbarebox-cd614b8f40996335bacee97b176ad91498e88a43.tar.gz
barebox-cd614b8f40996335bacee97b176ad91498e88a43.tar.xz
defaultenv: update: add nfs support
Signed-off-by: Marc Kleine-Budde <mkl@pengutronix.de> Signed-off-by: Sascha Hauer <s.hauer@pengutronix.de>
Diffstat (limited to 'defaultenv')
-rw-r--r--defaultenv/bin/_update11
-rw-r--r--defaultenv/bin/_update_help10
-rw-r--r--defaultenv/bin/update2
3 files changed, 10 insertions, 13 deletions
diff --git a/defaultenv/bin/_update b/defaultenv/bin/_update
index 9e88dea6d..e7cf1496e 100644
--- a/defaultenv/bin/_update
+++ b/defaultenv/bin/_update
@@ -10,7 +10,7 @@ if [ ! -e "$part" ]; then
exit 1
fi
-if [ x$mode = xtftp ]; then
+if [ x$mode = xtftp -o x$mode = xnfs ]; then
if [ x$ip = xdhcp ]; then
dhcp
fi
@@ -20,6 +20,7 @@ if [ x$mode = xtftp ]; then
echo "Server did not reply! Update aborted."
exit 1
fi
+ load=$mode
fi
if [ x$mode = xxmodem ]; then
@@ -28,6 +29,7 @@ if [ x$mode = xxmodem ]; then
echo "loadb failed or cancelled! Update aborted."
exit 1
fi
+ load="cp -v"
fi
unprotect $part
@@ -40,11 +42,6 @@ erase $part || exit 1
echo
echo "flashing $image to $part"
echo
-
-if [ x$mode = xtftp ]; then
- tftp $image $part || exit 1
-else
- cp -v $image $part || exit 1
-fi
+$load $image $part || exit 1
protect $part
diff --git a/defaultenv/bin/_update_help b/defaultenv/bin/_update_help
index 92d677234..3b7ad2370 100644
--- a/defaultenv/bin/_update_help
+++ b/defaultenv/bin/_update_help
@@ -7,8 +7,8 @@ echo "options"
echo " -c to check the crc32 for the image and flashed one"
echo ""
echo "default mode is tftp"
-echo "type update -t kernel -d <nor|nand|disk> [-m tftp|xmodem] [-f imagename] to update kernel into flash"
-echo "type update -t rootfs -d <nor|nand> [-m tftp|xmodem] [-f imagename] to update rootfs into flash"
-echo "type update -t barebox -d <nor|nand> [-m tftp|xmodem] [-f imagename] to update barebox into flash"
-echo "type update -t bareboxenv -d <nor|nand> [-m tftp|xmodem] [-f imagename] to update bareboxenv into flash"
-echo "type update -t xload -d <nor|nand> [-m tftp|xmodem] [-f imagename] to update xload into flash"
+echo "type update -t kernel -d <nor|nand|disk> [-m tftp|xmodem|nfs] [-f imagename] to update kernel into flash"
+echo "type update -t rootfs -d <nor|nand> [-m tftp|xmodem|nfs] [-f imagename] to update rootfs into flash"
+echo "type update -t barebox -d <nor|nand> [-m tftp|xmodem|nfs] [-f imagename] to update barebox into flash"
+echo "type update -t bareboxenv -d <nor|nand> [-m tftp|xmodem|nfs] [-f imagename] to update bareboxenv into flash"
+echo "type update -t xload -d <nor|nand> [-m tftp|xmodem|nfs] [-f imagename] to update xload into flash"
diff --git a/defaultenv/bin/update b/defaultenv/bin/update
index 39e759145..96442b156 100644
--- a/defaultenv/bin/update
+++ b/defaultenv/bin/update
@@ -63,7 +63,7 @@ else
exit 1
fi
-if [ x${mode} != xtftp -a x${mode} != xxmodem ] ; then
+if [ x${mode} != xtftp -a x${mode} != xxmodem -a x${mode} != xnfs ]; then
echo "unsupported mode ${mode}."
. /env/bin/_update_help
exit 1